#
#ifndef	DAB_CONSTANTS
#define	DAB_CONSTANTS
#
#include	"jff-include.h"
//	NOTE
//	IF YOU WANT THE MP1/LAYER II DAB BLOCKS TO BE
//	DECODED WITH KJMP THEN UNCOMMENT
#ifdef __MINGW32__
#define	KJMP	1
#endif
//#define	KJMP	1
#define	__EXPLICIT__	1
//	OTHERWISE, FFMPEG WILL BE USED
//	IF YOU WANT THE HE-AAC DAB+ BLOCKS TO BE 
//	DECODED WITH FFMPEG THEN uncomment
//#define	FFMPEG	1
//	OTHERWISE, FAAD WILL BE USED
#define		DAB		0100
#define		DAB_PLUS	0101

#define		INPUT_RATE	2048000

struct P {
	uint8_t	dabMode;
	int16_t	L;
	int16_t	K;
	int16_t	T_null;
	int32_t	T_F;
	int16_t	T_s;
	int16_t	T_u;
	int16_t	guardLength;
	int16_t	carrierDiff;
};

typedef	struct P DabParams;
	
#endif

